Debian Bug report logs - #409883
RM: firefox/experimental -- RoM; superseded by iceweasel

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Hideki Yamane <henrich@debian.or.jp>

Date: Tue, 6 Feb 2007 05:03:03 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#409883; Package firefox-dbg. Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
New Bug report received and forwarded. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: firefox-dbg: It should be removed from repository
Date: Tue, 06 Feb 2007 13:45:29 +0900
Package: firefox-dbg
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

 I suggest you to remove firefox-dbg package from repository.

 - transition from firefox to iceweasel seems fine.
   now iceweasel-dbg package is in repository. 
 - it is based on firefox 1.5, and it contains lots of vulnerability
   that fixed in iceweasel* packages.
 
 Could you think about this?

- -- 
Regards,

 Hideki Yamane 

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFyAfoIu0hy8THJksRAj6JAJwJzv5seLagTw6ga6q2EcIIclP2RgCgppoA
fXBOQzmzlXK82lZCEiSeJKk=
=IazI
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#409883; Package firefox-dbg. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <pryzbyj@steelfarms.net>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #10 received at 409883@bugs.debian.org (full text, mbox):

From: Justin Pryzby <pryzbyj@steelfarms.net>
To: Hideki Yamane <henrich@debian.or.jp>, 409883@bugs.debian.org
Subject: Re: Bug#409883: firefox-dbg: It should be removed from repository
Date: Tue, 6 Feb 2007 10:20:11 -0500
On Tue, Feb 06, 2007 at 01:45:29PM +0900, Hideki Yamane wrote:
> Package: firefox-dbg
> Severity: normal
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Hi,
> 
>  I suggest you to remove firefox-dbg package from repository.
> 
>  - transition from firefox to iceweasel seems fine.
>    now iceweasel-dbg package is in repository. 
>  - it is based on firefox 1.5, and it contains lots of vulnerability
>    that fixed in iceweasel* packages.
And:

|To: firefox@packages.debian.org, firefox@packages.qa.debian.org
|Subject: firefox-dbg is huge
|Date: Fri, 28 Apr 2006 10:13:56 -0400
|X-PTS-Approved: yes
|
|I'm sure you know this, but I thought I'd give some stats.
|firefox-dbg packages are now 10 out of the largest 142 files on the
|mirrors, and 10 of the largest 92 .debs.



Bug reassigned from package `firefox-dbg' to `ftp.debian.org'. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#409883; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #17 received at 409883@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>
To: 409883@bugs.debian.org
Cc: Mike Hommey <glandium@debian.org>, Eric Dorland <eric@debian.org>
Subject: Re: Processed: reassign 409883 to ftp.debian.org
Date: Tue, 06 Feb 2007 20:21:17 +0000
Hi,

On Tue, 2007-02-06 at 10:33 -0800, Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:
> 
> > # Automatically generated email from bts, devscripts version 2.9.27
> > reassign 409883 ftp.debian.org
> Bug#409883: firefox-dbg: It should be removed from repository

As far as I can see, firefox-dbg is the only binary package in unstable
still built from the firefox source package, so this is effectively a
removal request for the old source package, surely?

Regards,

Adam



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#409883; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #22 received at 409883@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>
Cc: 409883@bugs.debian.org, Eric Dorland <eric@debian.org>
Subject: Re: Processed: reassign 409883 to ftp.debian.org
Date: Tue, 6 Feb 2007 21:25:04 +0100
[Message part 1 (text/plain, inline)]
On Tue, Feb 06, 2007 at 08:21:17PM +0000, Adam D. Barratt <debian-bts@adam-barratt.org.uk> wrote:
> Hi,
> 
> On Tue, 2007-02-06 at 10:33 -0800, Debian Bug Tracking System wrote:
> > Processing commands for control@bugs.debian.org:
> > 
> > > # Automatically generated email from bts, devscripts version 2.9.27
> > > reassign 409883 ftp.debian.org
> > Bug#409883: firefox-dbg: It should be removed from repository
> 
> As far as I can see, firefox-dbg is the only binary package in unstable
> still built from the firefox source package, so this is effectively a
> removal request for the old source package, surely?

Yes, it is. It has been superseded by iceweasel, and iceweasel being now
in testing, it is pretty much useless to keep firefox in the archive.

Thanks

Mike
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#409883; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #27 received at 409883@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>
To: Mike Hommey <mh@glandium.org>
Cc: 409883@bugs.debian.org, Eric Dorland <eric@debian.org>
Subject: Re: Processed: reassign 409883 to ftp.debian.org
Date: Tue, 06 Feb 2007 20:36:16 +0000
retitle 409883 RM: firefox -- RoM; superseded by iceweasel
thanks

On Tue, 2007-02-06 at 21:25 +0100, Mike Hommey wrote:
[...]
> Yes, it is. It has been superseded by iceweasel, and iceweasel being now
> in testing, it is pretty much useless to keep firefox in the archive.

Retitling to that effect.

Cheers,

Adam



Changed Bug title. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Hideki Yamane <henrich@debian.or.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 409883-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 409883-close@bugs.debian.org
Cc: firefox@packages.debian.org, firefox@packages.qa.debian.org
Subject: Bug#409883: fixed
Date: Mon, 12 Feb 2007 10:31:50 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

   firefox | 1.5.dfsg+1.5.0.7-2 | source
firefox-dbg | 1.5.dfsg+1.5.0.7-2 | alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 409883@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#409883; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #39 received at 409883@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>, 409883@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#409883: fixed
Date: Sat, 17 Feb 2007 18:06:54 +0100
reopen 409883
thanks

On Mon, Feb 12, 2007 at 10:31:50AM +0000, Debian Archive Maintenance <ftpmaster@ftp-master.debian.org> wrote:
> We believe that the bug you reported is now fixed; the following
> package(s) have been removed from unstable:
> 
>    firefox | 1.5.dfsg+1.5.0.7-2 | source
> firefox-dbg | 1.5.dfsg+1.5.0.7-2 | alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Could you also remove version 1.99+2.0b2+dfsg-1 from experimental ?

Thanks

Mike




Bug reopened, originator not changed. Request was from Mike Hommey <mh@glandium.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Hideki Yamane <henrich@debian.or.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #48 received at 409883-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 409883-close@bugs.debian.org
Subject: Bug#409883: fixed
Date: Mon, 19 Feb 2007 16:24:15 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from experimental:

   firefox | 1.99+2.0b1+dfsg-1 | arm, ia64
   firefox | 1.99+2.0b2+dfsg-1 | source, amd64, hppa, i386, powerpc, sparc
firefox-dbg | 1.99+2.0b1+dfsg-1 | arm, ia64
firefox-dbg | 1.99+2.0b2+dfsg-1 | amd64, hppa, i386, powerpc, sparc
firefox-dom-inspector | 1.99+2.0b2+dfsg-1 | all
firefox-gnome-support | 1.99+2.0b1+dfsg-1 | arm, ia64
firefox-gnome-support | 1.99+2.0b2+dfsg-1 | amd64, hppa, i386, powerpc, sparc
mozilla-firefox | 1.99+2.0b2+dfsg-1 | all
mozilla-firefox-dom-inspector | 1.99+2.0b2+dfsg-1 | all
mozilla-firefox-gnome-support | 1.99+2.0b2+dfsg-1 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 409883@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 02:49:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:20:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.